All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::io::detail Namespace Reference

Implementation details for IO functionality. Usually not of interest for a library user. More...

## Functions

void | trim (char *buffer, long max_size)
std::string | tolower (std::string &s)

## Detailed Description

Implementation details for IO functionality. Usually not of interest for a library user.

## Function Documentation

std::string viennacl::io::detail::tolower | ( | std::string & | s | ) |

inline

Definition at line 79 of file matrix_market.hpp.

void viennacl::io::detail::trim | ( | char * | buffer,
|  | long | max_size
| ) |  |

inline

Definition at line 45 of file matrix_market.hpp.